List this tenant's agents
GET
/v1/agents
const url = 'https://api.vocapable.com/v1/agents?limit=50';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.vocapable.com/v1/agents?limit=50' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
Limit
integer
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
CursorPage[AgentSummary]
object
data
required
Data
Array<object>
AgentSummaryA definition as a list row.
object
id
required
Id
string
name
required
Name
string
use_case
required
Use Case
string
status
required
Status
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
has_more
Has More
boolean
Example
{ "data": [ { "use_case": "sdr", "status": "draft" } ], "has_more": false}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}